Gentoo Archives: gentoo-commits

From: "Miroslav Šulc" <fordfrog@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/tomcat-servlet-api/
Date: Fri, 11 Jan 2019 15:31:20
Message-Id: 1547220650.c8789ed0303b8792b6ad27cbdb4f3747ae76f1e7.fordfrog@gentoo
commit:     c8789ed0303b8792b6ad27cbdb4f3747ae76f1e7
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 11 15:30:50 2019 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Jan 11 15:30:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8789ed0

dev-java/tomcat-servlet-api-9.0.14: bump

Package-Manager: Portage-2.3.55, Repoman-2.3.12
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-java/tomcat-servlet-api/Manifest               |  1 +
 .../tomcat-servlet-api-9.0.14.ebuild               | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-java/tomcat-servlet-api/Manifest b/dev-java/tomcat-servlet-api/Manifest
index c3fa3c19136..c88ab34132e 100644
--- a/dev-java/tomcat-servlet-api/Manifest
+++ b/dev-java/tomcat-servlet-api/Manifest
@@ -11,6 +11,7 @@ DIST apache-tomcat-8.0.53-src.tar.gz 5057041 BLAKE2B 3a50d2f61baecb5244909972384
 DIST apache-tomcat-8.5.23-src.tar.gz 5086043 BLAKE2B 9bcad0d465aff6da1ba4a846042491bc8d5963283ed1d2530a26ab48289d14e8b85834d24ca476c95a75c1a5f51ee3ecd71c190b9609983cce56b56bc046b6d3 SHA512 2848331553f2c1bc51a4113960c6fe7e2beddf9146341dbfde1a27e2232802cfc364c8e8b988ae862371ca1a3be34665a56a28be9eadf80f8b317e0e2525cbef
 DIST apache-tomcat-8.5.31-src.tar.gz 5154531 BLAKE2B cce0388e5c8c5fb5fcb3dba3b5961dc21d9f19d9a2f6177660a41410bddf241f73dda1e52c3875e28cfa13041c85a458a92c9a23c509b645f042cfa472081fde SHA512 659137ef4809af329ae4dd6f5825a603c1408ef3e48153abe7480a722e7f4bebef68a64af9cbef4a4ad9a7e8da76494f825035bbadbb983a097525f476f32f33
 DIST apache-tomcat-8.5.37-src.tar.gz 5233414 BLAKE2B 1848180c3e0a3f4559e5c232bea8bad6d05f09d9c4f2f9f903178012b7b8837d395a5ac73c8ac0504fbd3d1df3c2dc785022e1c97da4441cfdcf8b790170ff7c SHA512 29ddbf7bfef19441a8a043020b5f1149d12590dac8120012a2167b6892e3db7c644990e49ba14cc4b4c7339faed65f010a7b24d660db0fb8adde34f032099cec
+DIST apache-tomcat-9.0.14-src.tar.gz 5472704 BLAKE2B ee533afd733dacbe4a20baadb4c5dc9fa7620d695c1c57b1662894945731f978508b45ef0d8169068c13ba862804868f12d3e494873643589b9f57bc9ec0a342 SHA512 46119f6ae9003b7a178dd5158c1eae3b5116461e73c5d78cd763bff82b80f282ff08cee5175cf850d3f209af900677e93bab31c556035a6eaf6aae86a5d42fc6
 DIST apache-tomcat-9.0.7-src.tar.gz 5106551 BLAKE2B b4552146a40c2e7cbb2e454fb5ec9169425db5c08cf269c391ec3144425ad388a2b6f003a7c05f59a9fd724fb5c848102890a24fcfd43d5fea3d881141aa7798 SHA512 cb7dc5547671d94f7c7fb0b58eeb94d05128349cdabf576fc8ad837a4bf3ea655a8eab3342245dfa84a9db23f1cbee2918846eedd48e3ca372eecebfef13c5b2
 DIST apache-tomcat-9.0.8-src.tar.gz 5115250 BLAKE2B 8eaf0aa963711f90278d6d20986f4ba583c64e9e2b1f0b82ccc676a854a2078fe29c3b691d49af529074c9eea02ba78802cc9a4bb5cd7a3e561f6dfcb342c50b SHA512 22a3c9a2c9f2fa87b218ec5deb50248af201e83111bbeb7fcfbb7dde5aba3e2d61b53bc40500b3e364a9fb94b576ad8a4683979534274af0f3bcdfb86aa045e7
 DIST jakarta-servletapi-src.tar.gz 65342 BLAKE2B 03674ca65e0cc509b04a6255d5dd20d26aa5053ed54588e9ba655330c56c9c523c5b382804aee9816cb9aa2ac19cccc1ad288ed06b2af85ba535854bc72bed73 SHA512 7dad5a52ab6bfca4b052d60a48fc89ce22a5eb790584671f24d8d22b163f2dffe93bea58caebc6b4ecb0bd8434a074c88f640aa57daa1cefbf47d74df758c084

diff --git a/dev-java/tomcat-servlet-api/tomcat-servlet-api-9.0.14.ebuild b/dev-java/tomcat-servlet-api/tomcat-servlet-api-9.0.14.ebuild
new file mode 100644
index 00000000000..e35055493b7
--- /dev/null
+++ b/dev-java/tomcat-servlet-api/tomcat-servlet-api-9.0.14.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+MY_A="apache-${PN}-${PV}-src"
+MY_P="${MY_A/-servlet-api/}"
+DESCRIPTION="Tomcat's Servlet API 4.0/JSP API 2.4?/EL API 3.1? implementation"
+HOMEPAGE="https://tomcat.apache.org/"
+SRC_URI="mirror://apache/tomcat/tomcat-9/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="4.0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.8"
+RDEPEND=">=virtual/jre-1.8"
+
+S="${WORKDIR}/${MY_P}/"
+
+src_prepare() {
+	default
+
+	cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace build.xml"
+	rm -fR */*/build.xml
+	einfo "Removing bundled jars and classes"
+	find "${S}" '(' -name '*.class' -o -name '*.jar' ')' -exec rm -frv {} +
+
+	java-pkg-2_src_prepare
+}
+
+src_install() {
+	java-pkg_dojar "${S}"/output/build/lib/*.jar
+	use source && java-pkg_dosrc java/javax/servlet/
+}